// ProTableText.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "ProTableText.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProTableText _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProTableText, CFCProObjProperty)

CFCProTableText::CFCProTableText() : CFCProObjProperty(CFCProTableText::IDD)
{
	//{{AFX_DATA_INIT(CFCProTableText)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT
}

CFCProTableText::~CFCProTableText()
{
}

void CFCProTableText::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProTableText)
	DDX_Control(pDX, IDC_TTT_STC_BORDER_2, m_stcBorder2);
	DDX_Control(pDX, IDC_TTT_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFCProTableText, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProTableText)
	ON_EN_CHANGE(IDC_TTT_EDT_TEXT_MARGIN_L, OnChangeTttEdtTextMarginL)
	ON_EN_CHANGE(IDC_TTT_EDT_TEXT_MARGIN_T, OnChangeTttEdtTextMarginT)
	ON_EN_CHANGE(IDC_TTT_EDT_TEXT_MARGIN_R, OnChangeTttEdtTextMarginR)
	ON_EN_CHANGE(IDC_TTT_EDT_TEXT_MARGIN_B, OnChangeTttEdtTextMarginB)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_ANGLE_00, OnTttRdoTextAngle00)
	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_ANGLE_05, OnTttRdoTextAngle05)
	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_ANGLE_10, OnTttRdoTextAngle10)
	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_ANGLE_15, OnTttRdoTextAngle15)
	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_ANGLE_UNKNOWN, OnTttRdoTextAngleUnknown)
	ON_CBN_SELCHANGE(IDC_TTT_CMB_IS_RESIZE_HORZ_BY_TEXT, OnSelchangeTttCmbIsResizeHorzByText)
	ON_CBN_SELCHANGE(IDC_TTT_CMB_IS_RESIZE_VERT_BY_TEXT, OnSelchangeTttCmbIsResizeVertByText)
	ON_CBN_SELCHANGE(IDC_TTT_CMB_IS_SHORTEN_BY_TEXT, OnSelchangeTttCmbIsShortenByText)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	ON_CBN_SELCHANGE(IDC_TTT_CMB_TEXT_RESIZE_HORZ, OnSelchangeTttCmbTextResizeHorz)
//	ON_CBN_SELCHANGE(IDC_TTT_CMB_TEXT_RESIZE_VERT, OnSelchangeTttCmbTextResizeVert)
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_SHORTEN_NONE, OnTttRdoTextShortenNone)
//	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_SHORTEN_SIZE, OnTttRdoTextShortenSize)
//	ON_BN_CLICKED(IDC_TTT_RDO_TEXT_SHORTEN_UNKNOWN, OnTttRdoTextShortenUnknown)
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

/////////////////////////////////////////////////////////////////////////////
// CFCProTableText _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

